Subject: Re: linux-next: Fixes tag needs some work in the userns tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Feb 2019 10:04:54 +1100

Hi Eric,

On Tue, 05 Feb 2019 15:29:04 -0600 [email-masked] (Eric W. Biederman) wrote:
>
> The SHA1 tag does exist and I have another tag:
> History Tree: https://git.kernel.org/pub/scm/linux/kernel/git/tglx/history.git
> That lists the tree it actually came from.

Ah, tricky.

> That is the best way I can see to handle bugs that predate v2.6.12 that
> Linus first put into git.
> 
> Would it make sense to graft you tree that you check for the existence
> of bad sha1s to Thomas's import of the bk tree into git?

I can just get a copy of that tree and check for things in there as
well, I guess.  Though it shouldn't come up much (I hope :-))

> Is there a better way to refer to old commits that I haven't seen?

Not that I am aware of and I guess it is as good as any.

Thanks.
-- 
Cheers,
Stephen Rothwell